Subject: bug#66604: [PATCH] Gud LLDB completions

From: Mattias Engdegård <[email-masked]>
Date: Mon, 23 Oct 2023 22:51:38 +0200

23 okt. 2023 kl. 19.57 skrev Gerd Möllmann <[email-masked]>:

>> It's now been made sleightly more capable.
> 
> Fine. I wouldn't have done it.

I know.

> You could have looked a few lines above what you insrted, though.

Sorry, I haven't kept up with your pace at all. My sincere apologies!

There's one annoyance though. Normally, lldb shows frame information as

    frame #0: 0x000000010182f09c emacs`redisplay_internal at xdisp.c:16687:8 [opt]

but now we get the less informative and much less readable

    gud-info: (gud-lldb-stop :file ////Users/mattias/emacs/src/xdisp.c/// :line 16687 :column 8)

Surely we can have it both ways -- keep the standard frame-format and append some machine-readable stuff on a separate line which is then removed in the filter function so that the user doesn't need to see it?